package com.link.core.kafka.conf;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.kafka.annotation.EnableKafka;

@Configuration
@EnableKafka
public class KafkaProperties implements InitializingBean {
   @Value("${spring.kafka.producer.bootstrap-servers}")
   private String servers;
   @Value("${spring.kafka.enable}")
   private String enable;
   @Value("${spring.kafka.profile}")
   private String profile;
   @Value("${spring.kafka.topic.id}")
   private String trackTopic;

   public void afterPropertiesSet() throws Exception {
      KafkaEnv.setServers(this.servers);
      KafkaEnv.setEnabled("Y".equals(this.enable));
      KafkaEnv.setProfile(this.profile);
      KafkaEnv.setTrackTopic(this.trackTopic);
   }
}
